### Method

# FwupdPlugin Device set_alternate

since: 0.7.2

#### Declaration [src]

    void
    fu_device_set_alternate (
      FuDevice* self,
      FuDevice* alternate
    )

#### Description [src]

Sets any alternate device. An alternate device may be linked to the primary device in some way.

This function is only usable by the daemon, not directly from plugins.

Available since: 0.7.2

#### Parameters

`alternate`

  Type: `FuDevice`

  Another `FuDevice`.

  The data is owned by the caller of the method.